/* ***********************IMPORTANT *********************************************
 *  Copyright (C) 2004-2007 Thierry Lagarde <tlagarde@users.sourceforge.net>
 *  This program is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 2 of the License.
 *
 *
 *                      ********************
 *
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU Library General Public License for more details.
 *
 *
 *                      ********************
 *
 *
 * You are highly encouraged to send your changes to <tlagarde@users.sourceforge.net>
 * for possible incorporation into the main distribution.
 * By sending these changes to <tlagarde@users.sourceforge.net>,
 * it is assumed that you are offering <tlagarde@users.sourceforge.net>
 * the unlimited, non-exclusive right to reuse, modify, and relicense the code.
 *
 *
 *                      ********************
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program; if not, write to the Free Software
 *  Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
 **************************************************************************************/
#include <sys/types.h>
#include <sys/stat.h>
#include <unistd.h>
#include <string.h>
#include <stdio.h>

#include <gtk/gtk.h>

#include "Arret_Interface.h"
#include "Root_Interface.h"
#include "../Declaration_Constante.h"

void create_window_Arret (void)
{
	window_Arret = gtk_window_new (GTK_WINDOW_TOPLEVEL);
	gtk_window_set_title (GTK_WINDOW (window_Arret), "Stopping autoscan-network");
	gtk_window_set_resizable (GTK_WINDOW (window_Arret), FALSE);
	gtk_window_set_position (GTK_WINDOW (window_Arret), GTK_WIN_POS_CENTER);
	gtk_window_set_modal (GTK_WINDOW (window_Arret), TRUE);
	gtk_window_set_transient_for (GTK_WINDOW (window_Arret), GTK_WINDOW (window_root));
	window_Arret_icon_pixbuf = gdk_pixbuf_new_from_file (PATH_ICONE "/AutoScan.png", NULL);
	if (window_Arret_icon_pixbuf) {
		gtk_window_set_icon (GTK_WINDOW (window_Arret), window_Arret_icon_pixbuf);
		gdk_pixbuf_unref (window_Arret_icon_pixbuf);
	}
	
	label_Windows_Arret = gtk_label_new (" Stopping autoscan-network-daemon (192.168.56.10)");
	gtk_widget_show (label_Windows_Arret);
	gtk_container_add (GTK_CONTAINER (window_Arret), label_Windows_Arret);
}
