/* ***********************IMPORTANT *********************************************
 *  Copyright (C) 2004-2007 Thierry Lagarde <tlagarde@users.sourceforge.net>
 *  This program is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 2 of the License.
 *
 *
 *                      ********************
 *
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU Library General Public License for more details.
 *
 *
 *                      ********************
 *
 *
 * You are highly encouraged to send your changes to <tlagarde@users.sourceforge.net>
 * for possible incorporation into the main distribution.
 * By sending these changes to <tlagarde@users.sourceforge.net>,
 * it is assumed that you are offering <tlagarde@users.sourceforge.net>
 * the unlimited, non-exclusive right to reuse, modify, and relicense the code.
 *
 *
 *                      ********************
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program; if not, write to the Free Software
 *  Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
 **************************************************************************************/
#ifndef         __DECLARATION
#define         __DECLARATION

#include "config.h"


#define VERSION_AUTOSCAN "AutoScan Network " VERSION
#define VERSION_AGENT	 "AutoScan Network Agent " VERSION

#define PATH_ICONE_UNIV "/usr/share/pixmaps/autoscan-network/"
#define PATH_ROOT       DESTDIR
#define PATH_ICONE      DESTDIR PATH_ICONE_UNIV
#define PATH_CONF       DESTDIR "/usr/share/apps/autoscan-network/"
static const char version_compiled[] = "Compiled on " HOSTNAME_COMPILE " (" PLATFORM " " KERNEL " )\n\ncompiled at " __TIME__ " on " __DATE__  " \ngcc " __VERSION__ "\nVerify the integrity of your AutoScan source code : \n" MD5_SOURCE_NORMAL "\n" MD5_SOURCE "\n\nOptions  : " OPTIONS;
static const char version[] = VERSION_AUTOSCAN ", compiled at " __TIME__ " on " __DATE__ ;

#define FILE_XML_FINGER_PRINTING "Finger_Printing.xml" 

gboolean Nouvelle_Version_Telechargable;
typedef long long int time_t64;
#endif
